Index: /WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 293)
+++ /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 293)
@@ -0,0 +1,123 @@
+<?xml version="1.0"?>
+<object name="portal_actions" meta_type="CMF Actions Tool">
+ <action-provider name="portal_membership">
+  <action title="Login" action_id="login" category="user"
+     condition_expr="not: member"
+     url_expr="python:&quot;%s/login_form?%s&quot; % (portal_url, modules[&quot;urllib&quot;].urlencode({&quot;came_from&quot;: request.URL}))"
+     visible="True">
+   <permission>View</permission>
+  </action>
+  <action title="Log out" action_id="logout" category="user"
+     condition_expr="member" url_expr="string:${portal_url}/logout"
+     visible="True">
+   <permission>View</permission>
+  </action>
+  <action title="My stuff" action_id="mystuff" category="user"
+     condition_expr="python: member and portal.portal_membership.getHomeFolder()"
+     url_expr="string:${portal/portal_membership/getHomeUrl}/folder_contents"
+     visible="True">
+   <permission>View</permission>
+  </action>
+  <action title="action_my_preferences" action_id="preferences"
+     category="user"
+     condition_expr="python:member and member.has_role(&quot;Member&quot;)"
+     url_expr="string:${portal_url}/cpsdirectory_entry_view?dirname=members&amp;id=${member}"
+     visible="True">
+   <permission>View</permission>
+  </action>
+  <action title="Search Members" action_id="member_view" category="user"
+     condition_expr="member"
+     url_expr="string:${portal_url}/cpsdirectory_entry_search_form?dirname=members"
+     visible="True">
+   <permission>View</permission>
+  </action>
+ </action-provider>
+ <action-provider name="portal_actions">
+  <action title="action_portlets" action_id="portlets" category="folder"
+     condition_expr="member"
+     url_expr="string:${folder_url}/portlet_manage_form" visible="True">
+   <permission>Manage Portlets</permission>
+  </action>
+  <action title="action_accessibility" action_id="accessibility"
+     category="global_header" condition_expr=""
+     url_expr="string:${portal_url}/accessibility" visible="True">
+   <permission>View</permission>
+  </action>
+  <action title="action_print" action_id="print" category="global_header"
+     condition_expr=""
+     url_expr="string:javascript:if%20(window.print)%20window.print();"
+     visible="True">
+   <permission>View</permission>
+  </action>
+  <action title="action_advanced_search" action_id="advanced_search"
+     category="global_header" condition_expr=""
+     url_expr="string:./advanced_search_form" visible="True">
+   <permission>View</permission>
+  </action>
+  <action title="action_contact" action_id="contact" category="global_header"
+     condition_expr=""
+     url_expr="string:mailto:${portal/portal_properties/email_from_address}?subject=Info"
+     visible="True">
+   <permission>View</permission>
+  </action>
+  <action title="action_manage_vocabularies" action_id="manage_vocabularies"
+     category="global" condition_expr=""
+     url_expr="string:${portal_url}/vocabularies_manage_form" visible="True">
+   <permission>Modify portal content</permission>
+  </action>
+  <action title="action_add_favorites" action_id="add_favorites"
+     category="user"
+     condition_expr="python: member and portal.portal_membership.getHomeFolder()"
+     url_expr="string:${object/absolute_url}/addtoFavorites" visible="False">
+   <permission>View</permission>
+  </action>
+  <action title="action_view_favorites" action_id="view_favorites"
+     category="user"
+     condition_expr="python: hasattr(portal.portal_membership.getHomeFolder(),&quot;Favorites&quot;)"
+     url_expr="string:${portal/portal_membership/getHomeUrl}/Favorites"
+     visible="False">
+   <permission>View</permission>
+  </action>
+  <action title="Directories" action_id="directories" category="global"
+     condition_expr="python:not portal.portal_membership.isAnonymousUser()"
+     url_expr="string:${portal_url}/cpsdirectory_view" visible="True">
+   <permission>View</permission>
+  </action>
+  <action title="Academics" action_id="view_academics" category="navigation"
+     condition_expr="" url_expr="string:${portal_url}/campus/academics"
+     visible="True">
+   <permission>View</permission>
+  </action>
+  <action title="Accommodation" action_id="view_accommodation"
+     category="navigation" condition_expr=""
+     url_expr="string:${portal_url}/campus/accommodation" visible="True">
+   <permission>View</permission>
+  </action>
+ </action-provider>
+ <action-provider name="portal_registration">
+  <action title="Join" action_id="join" category="user"
+     condition_expr="python:portal.portal_registration.enable_portal_joining and not member"
+     url_expr="string:${portal_url}/join_form" visible="True">
+   <permission>Add portal member</permission>
+  </action>
+ </action-provider>
+ <action-provider name="portal_themes">
+  <action title="_action_themes_reconfig_" action_id="configThemes"
+     category="global"
+     condition_expr="python: member and portal.portal_membership.checkPermission('Manage Themes', portal.portal_themes)"
+     url_expr="string:${portal_url}/cpsskins_themes_reconfig_form"
+     visible="True">
+   <permission>View</permission>
+  </action>
+ </action-provider>
+ <action-provider name="portal_types"/>
+ <action-provider name="portal_syndication"/>
+ <action-provider name="portal_workflow"/>
+ <action-provider name="portal_properties">
+  <action title="Reconfigure Portal" action_id="configPortal"
+     category="global" condition_expr=""
+     url_expr="string:${portal_url}/config_form" visible="True">
+   <permission>Manage portal</permission>
+  </action>
+ </action-provider>
+</object>
Index: /WAeUP_SRP/trunk/skins/waeup_default/msie.css
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/msie.css	(revision 293)
+++ /WAeUP_SRP/trunk/skins/waeup_default/msie.css	(revision 293)
@@ -0,0 +1,26 @@
+/*
+Internet Explorer CSS customization.
+This file is used and read *only* by MSIE through the use of a MSIE conditional
+comment. This is the place to put instructions to correct the rendering problems
+specific to MSIE.
+
+$Id: msie.css.dtml 28860 2005-10-31 16:34:08Z ogrisel $
+*/
+
+<dtml-let last_modified="_.DateTime()-14" expires="_.DateTime()+1" >
+<dtml-call "REQUEST.RESPONSE.setHeader( 'Content-Type', 'text/css' )">
+<dtml-call "REQUEST.RESPONSE.setHeader( 'Last-Modified', last_modified.toZone('GMT').rfc822() )">
+<dtml-call "REQUEST.RESPONSE.setHeader( 'Cache-Control', 'max-age=36000, must-revalidate' )">
+<dtml-call "REQUEST.RESPONSE.setHeader( 'Expires', expires.toZone('GMT').rfc822() )" >
+</dtml-let>
+
+/*
+The MSIE PNG behavior is disabled by default but kept here in case you need it.
+This MSIE behavior was supposed to work for MSIE >= 5.5, but *some* versions of
+MSIE 5.5 have problems with it. So feel free to use it back again if your
+visitors do not use MSIE 5.5 or when MSIE 5.5 becomes history.
+*/
+
+img {
+  behavior: url(pngbehavior.htc);
+}