Index: WAeUP_SRP/trunk/profiles/default/schemas.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas.xml	(revision 295)
+++ WAeUP_SRP/trunk/profiles/default/schemas.xml	(revision 296)
@@ -10,4 +10,5 @@
  <object name="department" meta_type="CPS Schema"/>
  <object name="faculty" meta_type="CPS Schema"/>
+ <object name="faculty_row" meta_type="CPS Schema"/>
  <object name="jamb" meta_type="CPS Schema"/>
  <object name="semester" meta_type="CPS Schema"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/faculty_row.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/faculty_row.xml	(revision 296)
+++ WAeUP_SRP/trunk/profiles/default/schemas/faculty_row.xml	(revision 296)
@@ -0,0 +1,7 @@
+<?xml version="1.0"?>
+<object name="faculty_row" meta_type="CPS Schema">
+  <field name="Title" meta_type="CPS String Field"/>
+  <field name="Description" meta_type="CPS String Field"/>
+  <field name="id" meta_type="CPS String Field"/>
+  <field name="institution_type" meta_type="CPS String Field"/>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml	(revision 295)
+++ WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml	(revision 296)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addAcademicsFolder</property>
- <property name="immediate_view">folder_view</property>
+ <property name="immediate_view">academics_contents</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -34,8 +34,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="temporary_view_all"/>
- <alias from="view" to="temporary_view_all"/>
- <action title="Standard View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/temporary_view_all"
+ <alias from="(Default)" to="academics_contents"/>
+ <alias from="view" to="academics_contents"/>
+ <action title="View" action_id="academics_view" category="object"
+    condition_expr="" url_expr="string:${object_url}/academics_contents"
     visible="True">
   <permission value="View"/>
@@ -47,5 +47,5 @@
  <action title="action_folder_contents" action_id="contents" category="object"
     condition_expr="" url_expr="string:${object/absolute_url}/folder_contents"
-    visible="True"/>
+    visible="False"/>
  <action title="delegate" action_id="localroles" category="object"
     condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
Index: WAeUP_SRP/trunk/profiles/default/types/Department.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Department.xml	(revision 295)
+++ WAeUP_SRP/trunk/profiles/default/types/Department.xml	(revision 296)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addDepartment</property>
- <property name="immediate_view">folder_view</property>
+ <property name="immediate_view">academics_contents</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -33,9 +33,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="temporary_view_all"/>
- <alias from="view" to="temporary_view_all"/>
- <action title="Standard View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/temporary_view_all"
-    visible="True">
+ <alias from="(Default)" to="academics_contents"/>
+ <alias from="view" to="academics_contents"/>
+ <action title="View" action_id="view" category="object" condition_expr=""
+    url_expr="string:${object_url}/academics_contents" visible="True">
   <permission value="View"/>
  </action>
@@ -53,13 +52,13 @@
  <action title="action_folder_contents" action_id="contents" category="object"
     condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/folder_contents" visible="True"/>
+    url_expr="string:${object_url}/folder_contents" visible="False"/>
  <action title="action_metadata" action_id="metadata" category="object"
     condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/cpsdocument_metadata" visible="True">
+    url_expr="string:${object_url}/cpsdocument_metadata" visible="False">
   <permission value="Modify portal content"/>
  </action>
  <action title="delegate" action_id="localroles" category="object"
     condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
-    visible="False">
+    visible="True">
   <permission value="Modify portal content"/>
  </action>
Index: WAeUP_SRP/trunk/profiles/default/types/Faculty.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Faculty.xml	(revision 295)
+++ WAeUP_SRP/trunk/profiles/default/types/Faculty.xml	(revision 296)
@@ -1,67 +1,0 @@
-<?xml version="1.0"?>
-<object name="Faculty" meta_type="CPS Flexible Type Information"
-   xmlns:i18n="http://xml.zope.org/namespaces/i18n">
- <property name="title">WAeUP Faculty</property>
- <property name="description"></property>
- <property name="content_icon"></property>
- <property name="content_meta_type">Faculty</property>
- <property name="product">WAeUP_SRP</property>
- <property name="factory">addFaculty</property>
- <property name="immediate_view">folder_view</property>
- <property name="global_allow">True</property>
- <property name="filter_content_types">True</property>
- <property name="allowed_content_types">
-  <element value="Department"/>
- </property>
- <property name="allow_discussion">False</property>
- <property name="cps_is_searchable">True</property>
- <property name="cps_proxy_type">btreefolderishdocument</property>
- <property name="cps_display_as_document_in_listing">True</property>
- <property name="schemas">
-  <element value="metadata"/>
-  <element value="common"/>
-  <element value="faculty"/>
- </property>
- <property name="layouts">
-  <element value="faculty"/>
- </property>
- <property name="layout_clusters">
-  <element value="metadata:metadata"/>
- </property>
- <property name="flexible_layouts"/>
- <property name="storage_methods"/>
- <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="temporary_view_all"/>
- <alias from="view" to="temporary_view_all"/>
- <action title="Standard View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/temporary_view_all"
-    visible="True">
-  <permission value="View"/>
- </action>
- <action title="action_edit" action_id="edit" category="object"
-    condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/cpsdocument_edit_form" visible="True">
-  <permission value="Modify portal content"/>
- </action>
- <action title="Add Department" action_id="add_department" category="object"
-    url_expr="string:${object/absolute_url}/content_create?type_name=Department"
-    condition_expr=""
-    visible="True">
-  <permission value=""/>
- </action>
- <action title="action_folder_contents" action_id="contents" category="object"
-    condition_expr="" url_expr="string:${object_url}/folder_contents"
-    visible="False">
-  <permission value=""/>
- </action>
- <action title="action_metadata" action_id="metadata" category="object"
-    condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/cpsdocument_metadata" visible="True">
-  <permission value="Modify portal content"/>
- </action>
- <action title="delegate" action_id="localroles" category="object"
-    condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
-    visible="False">
-  <permission value="Modify portal content"/>
- </action>
-</object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 295)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 296)
@@ -6,6 +6,6 @@
  <property name="content_icon">students_folder.gif</property>
  <property name="content_meta_type">StudentsFolder</property>
- <property name="product">CPSDefault</property>
- <property name="factory">addFolder</property>
+ <property name="product">WAeUP_SRP</property>
+ <property name="factory">addStudentsFolder</property>
  <property name="immediate_view">folder_view</property>
  <property name="global_allow">True</property>