Index: WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml	(revision 307)
+++ WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml	(revision 307)
@@ -0,0 +1,52 @@
+<?xml version="1.0"?>
+<object name="CertificatesFolder" meta_type="CPS Flexible Type Information"
+   xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+ <property name="title">WAeUP Certificates Folder</property>
+ <property name="description">The WAeUP Certificates Folder</property>
+ <property name="content_icon"></property>
+ <property name="content_meta_type">CertificatesFolder</property>
+ <property name="product">CPSDefault</property>
+ <property name="factory">addFolder</property>
+ <property name="immediate_view">academics_contents</property>
+ <property name="global_allow">True</property>
+ <property name="filter_content_types">True</property>
+ <property name="allowed_content_types">
+  <element value="Certificate"/>
+ </property>
+ <property name="allow_discussion">False</property>
+ <property name="cps_is_searchable">True</property>
+ <property name="cps_proxy_type">folder</property>
+ <property name="cps_display_as_document_in_listing">True</property>
+ <property name="schemas">
+  <element value="metadata"/>
+  <element value="common"/>
+  <element value="folder"/>
+ </property>
+ <property name="layouts">
+  <element value="common"/>
+  <element value="folder"/>
+ </property>
+ <property name="layout_clusters">
+  <element value="metadata:metadata"/>
+ </property>
+ <property name="flexible_layouts"/>
+ <property name="storage_methods"/>
+ <property name="cps_is_portlet">False</property>
+ <alias from="(Default)" to="academics_contents"/>
+ <alias from="view" to="academics_contents"/>
+ <action title="Standard View" action_id="view" category="object"
+    condition_expr="" url_expr="string:${object_url}/academics_contents"
+    visible="True">
+  <permission value="View"/>
+ </action>
+ <action title="Add Certificate" action_id="add_certificate" category="object"
+    condition_expr="python:True or member and 'UniversityManager'in member.getRoles()"
+    url_expr="string:${object/absolute_url}/create_certificate"
+    visible="True"/>
+ <action title="action_folder_contents" action_id="contents" category="object"
+    condition_expr="" url_expr="string:${object/absolute_url}/folder_contents"
+    visible="False"/>
+ <action title="delegate" action_id="localroles" category="object"
+    condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
+    visible="True"/>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml	(revision 307)
+++ WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml	(revision 307)
@@ -0,0 +1,51 @@
+<?xml version="1.0"?>
+<object name="CoursesFolder" meta_type="CPS Flexible Type Information"
+   xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+ <property name="title">WAeUP Courses Folder</property>
+ <property name="description">The WAeUP  Courses Folder</property>
+ <property name="content_icon"></property>
+ <property name="content_meta_type">CoursesFolder</property>
+ <property name="product">CPSDefault</property>
+ <property name="factory">addFolder</property>
+ <property name="immediate_view">academics_contents</property>
+ <property name="global_allow">True</property>
+ <property name="filter_content_types">True</property>
+ <property name="allowed_content_types">
+  <element value="Course"/>
+ </property>
+ <property name="allow_discussion">False</property>
+ <property name="cps_is_searchable">True</property>
+ <property name="cps_proxy_type">folder</property>
+ <property name="cps_display_as_document_in_listing">True</property>
+ <property name="schemas">
+  <element value="metadata"/>
+  <element value="common"/>
+  <element value="folder"/>
+ </property>
+ <property name="layouts">
+  <element value="common"/>
+  <element value="folder"/>
+ </property>
+ <property name="layout_clusters">
+  <element value="metadata:metadata"/>
+ </property>
+ <property name="flexible_layouts"/>
+ <property name="storage_methods"/>
+ <property name="cps_is_portlet">False</property>
+ <alias from="(Default)" to="academics_contents"/>
+ <alias from="view" to="academics_contents"/>
+ <action title="Standard View" action_id="view" category="object"
+    condition_expr="" url_expr="string:${object_url}/academics_contents"
+    visible="True">
+  <permission value="View"/>
+ </action>
+ <action title="Add Course" action_id="add_course" category="object"
+    condition_expr="python:True or member and 'UniversityManager'in member.getRoles()"
+    url_expr="string:${object/absolute_url}/create_course" visible="True"/>
+ <action title="action_folder_contents" action_id="contents" category="object"
+    condition_expr="" url_expr="string:${object/absolute_url}/folder_contents"
+    visible="False"/>
+ <action title="delegate" action_id="localroles" category="object"
+    condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
+    visible="False"/>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/institution_types_voc.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/institution_types_voc.xml	(revision 307)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/institution_types_voc.xml	(revision 307)
@@ -0,0 +1,12 @@
+<?xml version="1.0"?>
+<object name="institute_types_voc" meta_type="CPS Vocabulary">
+ <property name="title"></property>
+ <property name="title_msgid"></property>
+ <property name="description"></property>
+ <property name="acl_write_roles">Manager</property>
+ <item key="faculty" msgid="">Faculty of</item>
+ <item key="department" msgid="">Department of</item>
+ <item key="school" msgid="">School for</item>
+ <item key="institute" msgid="">Institute of</item>
+ <item key="office" msgid="">Office for</item>
+</object>