Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main.xml	(revision 304)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main.xml	(revision 308)
@@ -14,4 +14,5 @@
  <object name="459062354" meta_type="Portal Box Group Templet"/>
  <object name="2269937" meta_type="Portal Box Group Templet"/>
+ <object name="119708420" meta_type="Portal Box Group Templet"/>
  <object name="1284486093" meta_type="Portal Box Group Templet"/>
  <object name="cell_sizer5" meta_type="Cell Sizer"/>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/119708420.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/119708420.xml	(revision 308)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/119708420.xml	(revision 308)
@@ -0,0 +1,30 @@
+<?xml version="1.0"?>
+<object name="119708420" meta_type="Portal Box Group Templet">
+ <property name="title">import_tabs</property>
+ <property name="cacheable">False</property>
+ <property name="cache_lifetime">60</property>
+ <property name="hidden_in_text_mode">False</property>
+ <property name="display_title_in_text_mode">False</property>
+ <property name="xpos">1</property>
+ <property name="align">left</property>
+ <property name="padding">0.2em</property>
+ <property name="margin">0.2em 0.2em 0.2em 0.2em</property>
+ <property name="templet_height"></property>
+ <property name="fontcolor">defaultnovisitedlinks</property>
+ <property name="fontshape">average</property>
+ <property name="shape"></property>
+ <property name="color"></property>
+ <property name="formstyle"></property>
+ <property name="visibility">always</property>
+ <property name="visibility_paths"/>
+ <property name="languages"/>
+ <property name="esi_fragment">False</property>
+ <property name="boxshape">navbox</property>
+ <property name="boxcolor"></property>
+ <property name="boxcorners"></property>
+ <property name="portaltabstyle">PortalTabStyleuseractions</property>
+ <property name="boxlayout">standard</property>
+ <property name="box_group">import_tabs</property>
+ <property name="macroless">False</property>
+ <property name="box_title_i18n">False</property>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/2269937.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/2269937.xml	(revision 304)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/2269937.xml	(revision 308)
@@ -11,5 +11,5 @@
  <property name="margin">0.2em 0.2em 0.2em 0.2em</property>
  <property name="templet_height"></property>
- <property name="fontcolor">mini</property>
+ <property name="fontcolor">defaultnovisitedlinks</property>
  <property name="fontshape">average</property>
  <property name="shape"></property>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/325427499/1689006287.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/325427499/1689006287.xml	(revision 304)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/325427499/1689006287.xml	(revision 308)
@@ -2,4 +2,4 @@
 <object name="1689006287" meta_type="Cell Sizer">
  <property name="xpos">1</property>
- <property name="cellwidth">15%</property>
+ <property name="cellwidth">16%</property>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/325427499/copy_of_1316352056.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/325427499/copy_of_1316352056.xml	(revision 304)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/325427499/copy_of_1316352056.xml	(revision 308)
@@ -9,5 +9,5 @@
  <property name="align">right</property>
  <property name="padding">0.2em</property>
- <property name="margin">0.2em 0.2em 0.2em 0.2em</property>
+ <property name="margin">0em 0em 0em 0em</property>
  <property name="templet_height"></property>
  <property name="fontcolor">defaultnovisitedlinks</property>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/325427499/copy_of_523477727.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/325427499/copy_of_523477727.xml	(revision 304)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/325427499/copy_of_523477727.xml	(revision 308)
@@ -9,5 +9,5 @@
  <property name="align">left</property>
  <property name="padding">0.2em</property>
- <property name="margin">0.2em 0.2em 0.2em 0.2em</property>
+ <property name="margin">0em 0em 0em 0em</property>
  <property name="templet_height"></property>
  <property name="fontcolor">defaultnovisitedlinks</property>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/459062354.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/459062354.xml	(revision 304)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/459062354.xml	(revision 308)
@@ -11,5 +11,5 @@
  <property name="margin">0.2em 0.2em 0.2em 0.2em</property>
  <property name="templet_height"></property>
- <property name="fontcolor">mini</property>
+ <property name="fontcolor">defaultnovisitedlinks</property>
  <property name="fontshape">average</property>
  <property name="shape"></property>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/copy2_of_portal_box_tabs.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/copy2_of_portal_box_tabs.xml	(revision 304)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/copy2_of_portal_box_tabs.xml	(revision 308)
@@ -9,7 +9,7 @@
  <property name="align">left</property>
  <property name="padding">0.2em</property>
- <property name="margin">0.2em 0.2em 0.2em 0.2em</property>
+ <property name="margin">2em 0.2em 0.2em 0.2em</property>
  <property name="templet_height"></property>
- <property name="fontcolor">mini</property>
+ <property name="fontcolor">defaultnovisitedlinks</property>
  <property name="fontshape">average</property>
  <property name="shape"></property>