Index: WAeUP_SRP/trunk/profiles/default/roots/campus/academics.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/roots/campus/academics.xml	(revision 310)
+++ WAeUP_SRP/trunk/profiles/default/roots/campus/academics.xml	(revision 311)
@@ -1,4 +1,4 @@
 <?xml version="1.0"?>
 <object name="academics">
-  <property name="title">Academics</property>
+  <property name="Title">Academics</property>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/types/Certificate.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Certificate.xml	(revision 310)
+++ WAeUP_SRP/trunk/profiles/default/types/Certificate.xml	(revision 311)
@@ -24,4 +24,5 @@
  </property>
  <property name="layouts">
+  <element value="common"/>
   <element value="certificate"/>
  </property>
@@ -32,18 +33,18 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="certificate_view"/>
- <alias from="view" to="certificate_view"/>
+ <alias from="(Default)" to="academics_contents"/>
+ <alias from="view" to="academics_contents"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/certificate_view" visible="True">
+    url_expr="string:${object_url}/academics_contents" visible="True">
   <permission value="View"/>
  </action>
  <action title="action_edit" action_id="edit" category="object"
-    condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/cpsdocument_edit_form" visible="True">
+    condition_expr="" url_expr="string:${object_url}/cpsdocument_edit_form"
+    visible="True">
   <permission value="Modify portal content"/>
  </action>
  <action title="action_metadata" action_id="metadata" category="object"
-    condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/cpsdocument_metadata" visible="False">
+    condition_expr="" url_expr="string:${object_url}/cpsdocument_metadata"
+    visible="False">
   <permission value="Modify portal content"/>
  </action>
@@ -53,6 +54,3 @@
   <permission value="Modify portal content"/>
  </action>
- <action title="action_folder_contents" action_id="contents" category="object"
-    condition_expr="" url_expr="string:${object/absolute_url}/folder_contents"
-    visible="True"/>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml	(revision 310)
+++ WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml	(revision 311)
@@ -31,17 +31,17 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="temporary_view_all"/>
- <alias from="view" to="temporary_view_all"/>
+ <alias from="(Default)" to="cpsdocument_view"/>
+ <alias from="view" to="cpsdocument_view"/>
  <action title="Standard View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/temporary_view_all"
+    condition_expr="" url_expr="string:${object_url}/cpsdocument_view"
     visible="True">
   <permission value="View"/>
  </action>
  <action title="action_edit" action_id="edit" category="object"
-    condition_expr="" url_expr="string:${object_url}/waeup_edit_form"
+    condition_expr="" url_expr="string:${object_url}/cpsdocument_edit_form"
     visible="True"/>
  <action title="action_metadata" action_id="metadata" category="object"
-    condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/cpsdocument_metadata" visible="False"/>
+    condition_expr="" url_expr="string:${object_url}/cpsdocument_metadata"
+    visible="False"/>
  <action title="delegate" action_id="localroles" category="object"
     condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
Index: WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml	(revision 310)
+++ WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml	(revision 311)
@@ -1,43 +1,56 @@
 <?xml version="1.0"?>
-<object name="CertificatesFolder" meta_type="CPS Flexible Type Information"
+<object name="Certificate" meta_type="CPS Flexible Type Information"
    xmlns:i18n="http://xml.zope.org/namespaces/i18n">
- <property name="title"></property>
+ <property name="title">WAeUP Certificate</property>
  <property name="description"></property>
  <property name="content_icon"></property>
- <property name="content_meta_type">CPS Document</property>
- <property name="product">CPSDocument</property>
- <property name="factory">addCPSDocument</property>
- <property name="immediate_view"></property>
+ <property name="content_meta_type">Certificate</property>
+ <property name="product">WAeUP_SRP</property>
+ <property name="factory">addCertificate</property>
+ <property name="immediate_view">folder_view</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
  <property name="allowed_content_types">
-  <element value="Certificate"/>
+  <element value="StudyLevel"/>
  </property>
  <property name="allow_discussion">False</property>
  <property name="cps_is_searchable">True</property>
- <property name="cps_proxy_type">document</property>
- <property name="cps_display_as_document_in_listing">False</property>
- <property name="schemas"/>
- <property name="layouts"/>
- <property name="layout_clusters"/>
+ <property name="cps_proxy_type">folder</property>
+ <property name="cps_display_as_document_in_listing">True</property>
+ <property name="schemas">
+  <element value="metadata"/>
+  <element value="common"/>
+  <element value="certificate"/>
+ </property>
+ <property name="layouts">
+  <element value="common"/>
+  <element value="certificate"/>
+ </property>
+ <property name="layout_clusters">
+  <element value="metadata:metadata"/>
+ </property>
  <property name="flexible_layouts"/>
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
- <alias from="view" to="academics_contents"/>
+ <alias from="(Default)" to="certificate_view"/>
+ <alias from="view" to="certificate_view"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/academics_contents" visible="True">
+    url_expr="string:${object_url}/certificate_view" visible="True">
   <permission value="View"/>
  </action>
- <action title="Add Certificate" action_id="add_certificate" category="object"
-    condition_expr="python:True or member and 'UniversityManager'in member.getRoles()"
-    url_expr="string:${object/absolute_url}/create_certificate"
-    visible="True"/>
+ <action title="action_edit" action_id="edit" category="object"
+    condition_expr="python:member and 'Manager' in member.getRoles()"
+    url_expr="string:${object_url}/cpsdocument_edit_form" visible="True">
+  <permission value="Modify portal content"/>
+ </action>
+ <action title="action_metadata" action_id="metadata" category="object"
+    condition_expr="python:member and 'Manager' in member.getRoles()"
+    url_expr="string:${object_url}/cpsdocument_metadata" visible="False">
+  <permission value="Modify portal content"/>
+ </action>
  <action title="delegate" action_id="localroles" category="object"
     condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
-    visible="True"/>
- <action title="Add Certificate" action_id="new_entry" category="object"
-    condition_expr=""
-    url_expr="string:${object/absolute_url}/content_create?type_name=Certificate"
-    visible="True"/>
+    visible="True">
+  <permission value="Modify portal content"/>
+ </action>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/types/Course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Course.xml	(revision 310)
+++ WAeUP_SRP/trunk/profiles/default/types/Course.xml	(revision 311)
@@ -22,4 +22,5 @@
  </property>
  <property name="layouts">
+  <element value="common"/>
   <element value="course"/>
  </property>
@@ -30,26 +31,19 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="temporary_view_all"/>
- <alias from="view" to="temporary_view_all"/>
+ <alias from="(Default)" to="cpsdocument_view"/>
+ <alias from="view" to="cpsdocument_view"/>
  <action title="Standard View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/temporary_view_all"
+    condition_expr="" url_expr="string:${object_url}/cpsdocument_view"
     visible="True">
   <permission value="View"/>
  </action>
  <action title="action_edit" action_id="edit" category="object"
-    condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/cpsdocument_edit_form" visible="True">
+    condition_expr="" url_expr="string:${object_url}/cpsdocument_edit_form"
+    visible="True">
   <permission value="Modify portal content"/>
-  <permission value="University Manage"/>
- </action>
- <action title="action_folder_contents" action_id="contents" category="object"
-    condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/folder_contents" visible="True">
-  <permission value="Modify portal content"/>
-  <permission value="University Manage"/>
  </action>
  <action title="action_metadata" action_id="metadata" category="object"
-    condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/cpsdocument_metadata" visible="True">
+    condition_expr="" url_expr="string:${object_url}/cpsdocument_metadata"
+    visible="True">
   <permission value="Modify portal content"/>
  </action>
Index: WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml	(revision 310)
+++ WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml	(revision 311)
@@ -16,5 +16,5 @@
  <property name="allow_discussion">False</property>
  <property name="cps_is_searchable">True</property>
- <property name="cps_proxy_type">document</property>
+ <property name="cps_proxy_type">folder</property>
  <property name="cps_display_as_document_in_listing">False</property>
  <property name="schemas"/>
@@ -30,10 +30,4 @@
   <permission value="View archived revisions"/>
  </action>
- <action title="Add Course" action_id="add_course" category="object"
-    condition_expr="python:True or member and 'UniversityManager'in member.getRoles()"
-    url_expr="string:${object/absolute_url}/create_course" visible="True"/>
- <action title="action_folder_contents" action_id="contents" category="object"
-    condition_expr="" url_expr="string:${object/absolute_url}/folder_contents"
-    visible="False"/>
  <action title="delegate" action_id="localroles" category="object"
     condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
Index: WAeUP_SRP/trunk/profiles/default/types/Faculty.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Faculty.xml	(revision 310)
+++ WAeUP_SRP/trunk/profiles/default/types/Faculty.xml	(revision 311)
@@ -42,5 +42,5 @@
  <action title="action_edit" action_id="edit" category="object"
     condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/faculty_edit_form" visible="True">
+    url_expr="string:${object_url}/academics_edit_form" visible="True">
   <permission value="Modify portal content"/>
  </action>
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/courselevel.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/courselevel.xml	(revision 310)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/courselevel.xml	(revision 311)
@@ -9,3 +9,4 @@
  <item key="300" msgid="">Year 3 (300 Level)</item>
  <item key="400" msgid="">Year 4 (400 Level)</item>
+ <item key="500" msgid="">Year 5 (400 Level)</item>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/workflows.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 310)
+++ WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 311)
@@ -27,5 +27,5 @@
    <bound-workflow workflow_id="workspace_calendar_wf"/>
   </type>
-  <type type_id="CertificateFolder">
+  <type type_id="CertificatesFolder">
    <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
@@ -36,5 +36,5 @@
    <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
-  <type type_id="CourseFolder">
+  <type type_id="CoursesFolder">
    <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
Index: WAeUP_SRP/trunk/skins/waeup_custom/content_status_modify.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/content_status_modify.py	(revision 311)
+++ WAeUP_SRP/trunk/skins/waeup_custom/content_status_modify.py	(revision 311)
@@ -0,0 +1,86 @@
+## Script (Python) "content_status_modify"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=workflow_action, REQUEST=None, **kw
+##title=
+##
+# $Id: content_status_modify.py 29468 2005-11-11 12:33:08Z avoinea $
+"""
+FIXME: add docstring.
+"""
+
+wftool = context.portal_workflow
+
+if REQUEST is not None:
+    kw.update(REQUEST.form)
+
+comments = kw.get('comments', '')
+
+folder = context.aq_parent
+id = context.getId()
+url = None
+
+psm = 'psm_status_changed'
+
+if workflow_action in ('retract','approve'):
+    # accept, reject, ...
+    if comments:
+        del kw['comments']
+    kw['comment'] = comments
+    res = wftool.doActionFor(context, workflow_action, dest_container=context, **kw)
+    if same_type(res, ()):
+        if res[0] == 'ObjectMoved':
+            rpath = res[1]
+            url = context.portal_url()
+            if not url.endswith('/'):
+                url += '/'
+            url += rpath
+elif workflow_action != 'copy_submit':
+    # accept, reject, ...
+    if comments:
+        del kw['comments']
+    kw['comment'] = comments
+    res = wftool.doActionFor(context, workflow_action, **kw)
+    if same_type(res, ()):
+        if res[0] == 'ObjectMoved':
+            rpath = res[1]
+            url = context.portal_url()
+            if not url.endswith('/'):
+                url += '/'
+            url += rpath
+else:
+    # No section has been specified
+    # XXX We should get a list in here
+    if REQUEST and len(REQUEST.form) < 3:
+        psm = 'psm_you_must_select_sections_for_publishing'
+
+    # publishing: copy and initalize proxy into one or more sections
+    allowed_transitions = wftool.getAllowedPublishingTransitions(context)
+    for transition in allowed_transitions:
+        rpaths = kw.get(transition)
+        if rpaths:
+            if same_type(rpaths, ''):
+                rpaths = (rpaths,)
+            for rpath in rpaths:
+                wftool.doActionFor(context, workflow_action,
+                                   dest_container=rpath,
+                                   initial_transition=transition,
+                                   comment=comments)
+
+if REQUEST is not None:
+    # If the object has been deleted, we can't redirect to it.
+    if url is None:
+        if id in folder.objectIds():
+            url = context.absolute_url()
+        else:
+            url = folder.absolute_url()
+
+    if psm == 'psm_you_must_select_sections_for_publishing':
+        redirect_url = '%s/content_submit_form?%s' % (
+            url, 'portal_status_message=%s'%psm)
+    else:
+        redirect_url = '%s/?%s' % (url, 'portal_status_message=%s'%psm)
+    REQUEST.RESPONSE.redirect(redirect_url)
Index: WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_create.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_create.py	(revision 310)
+++ WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_create.py	(revision 311)
@@ -36,6 +36,6 @@
     url = ob.absolute_url()
     meth_id = ti.queryMethodID('created', None)
-    if meth_id is not None:
-        getattr(context, meth_id)(object=ob)
+##    if meth_id is not None:
+##        getattr(context, meth_id)(object=ob)
     action = ob.getTypeInfo().immediate_view
     psm = 'psm_content_created'