Index: /WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_778397196.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_778397196.xml	(revision 314)
+++ /WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_778397196.xml	(revision 315)
@@ -8,5 +8,5 @@
  </f>
  <f id="Coverage" v=""/>
- <f id="CreationDate" v="20060714145642Z"/>
+ <f id="CreationDate" v="20060715144508Z"/>
  <f id="Creator" v="admin"/>
  <f id="Description" v=""/>
@@ -15,5 +15,5 @@
  <f id="Format" v="text/html"/>
  <f id="Language" v=""/>
- <f id="ModificationDate" v="20060714145644Z"/>
+ <f id="ModificationDate" v="20060715161109Z"/>
  <f id="Relation" v=""/>
  <f id="Rights" v=""/>
@@ -21,5 +21,12 @@
  <f id="Subject"/>
  <f id="Title" v="Actions Portlet"/>
- <f id="actions_order"/>
+ <f id="actions_order">
+  <e v="view"/>
+  <e v="edit"/>
+  <e v="delegate"/>
+  <e v="new_entry"/>
+  <e v="approve"/>
+  <e v="retract"/>
+ </f>
  <f id="allow_discussion" v="False"/>
  <f id="cache_cleanup_date" v="0.0"/>
Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/1689006287.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/1689006287.xml	(revision 315)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/1689006287.xml	(revision 315)
@@ -0,0 +1,5 @@
+<?xml version="1.0"?>
+<object name="1689006287" meta_type="Cell Sizer">
+ <property name="xpos">1</property>
+ <property name="cellwidth">20%</property>
+</object>
Index: /WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml	(revision 314)
+++ /WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml	(revision 315)
@@ -33,5 +33,5 @@
  <alias from="(Default)" to="cpsdocument_view"/>
  <alias from="view" to="cpsdocument_view"/>
- <action title="Standard View" action_id="view" category="object"
+ <action title="View" action_id="view" category="object"
     condition_expr="" url_expr="string:${object_url}/cpsdocument_view"
     visible="True">
Index: /WAeUP_SRP/trunk/profiles/default/types/Course.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/Course.xml	(revision 314)
+++ /WAeUP_SRP/trunk/profiles/default/types/Course.xml	(revision 315)
@@ -33,5 +33,5 @@
  <alias from="(Default)" to="cpsdocument_view"/>
  <alias from="view" to="cpsdocument_view"/>
- <action title="Standard View" action_id="view" category="object"
+ <action title="View" action_id="view" category="object"
     condition_expr="" url_expr="string:${object_url}/cpsdocument_view"
     visible="True">
Index: /WAeUP_SRP/trunk/profiles/default/types/University.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/University.xml	(revision 314)
+++ /WAeUP_SRP/trunk/profiles/default/types/University.xml	(revision 315)
@@ -39,5 +39,5 @@
  <alias from="(Default)" to="temporary_view_all"/>
  <alias from="view" to="temporary_view_all"/>
- <action title="Standard View" action_id="view" category="object"
+ <action title="View" action_id="view" category="object"
     condition_expr="" url_expr="string:${object_url}/temporary_view_all"
     visible="True">
Index: /WAeUP_SRP/trunk/skins/waeup_default/widget_waeup_status_display.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/widget_waeup_status_display.pt	(revision 314)
+++ /WAeUP_SRP/trunk/skins/waeup_default/widget_waeup_status_display.pt	(revision 315)
@@ -4,10 +4,10 @@
 
 <span tal:condition="python:path('info/review_state')=='checked'">
-  <img tal:attributes="src string:${base_url}/cpsskins_images/actionicon_publish.png"/>
+  <img tal:attributes="src string:${here/portal_url}/cpsskins_images/actionicon_publish.png"/>
   <span tal:content="info/review_state" />
 </ span>
 
 <span tal:condition="python:path('info/review_state')=='unchecked'">
-  <img tal:attributes="src string:${base_url}/cpsskins_images/actionicon_reject.png"/>
+  <img tal:attributes="src string:${here/portal_url}/cpsskins_images/actionicon_reject.png"/>
   <span tal:content="info/review_state" />
 </ span>